Bug 1964835 - ceph-crash daemon deployment broken in containerized deployment when running the main playbook with --limit
Summary: ceph-crash daemon deployment broken in containerized deployment when running ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2z2
Assignee: Guillaume Abrioux
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
: 1932779 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-26 08:04 UTC by Guillaume Abrioux
Modified: 2021-06-15 17:14 UTC (History)
8 users (show)

Fixed In Version: ceph-ansible-4.0.56-1.el8cp, ceph-ansible-4.0.56-1.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 17:14:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 6550 0 None open crash: fix --limit deployments (containers) 2021-05-26 08:04:45 UTC
Red Hat Product Errata RHSA-2021:2445 0 None None None 2021-06-15 17:14:28 UTC

Description Guillaume Abrioux 2021-05-26 08:04:46 UTC
Description of problem:
ceph-crash deployment is broken in containerized deployment when the main playbook is run with --limit option

Version-Release number of selected component (if applicable):
RHCS 4.2

How reproducible:
100%

Steps to Reproduce:
1. deploy a cluster
2. rerun the main playbook with --limit option


Actual results:
The playbook fails because it can't run a delegated task properly on the first monitor node

Expected results:
The playbook completes

Comment 1 Guillaume Abrioux 2021-05-26 08:05:20 UTC
*** Bug 1932779 has been marked as a duplicate of this bug. ***

Comment 7 Ameena Suhani S H 2021-05-31 08:02:00 UTC
Verified using
ansible-2.9.22-1.el8ae.noarch
ceph-ansible-4.0.56-1.el8cp.noarch

Comment 9 errata-xmlrpc 2021-06-15 17:14:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2445


Note You need to log in before you can comment on or make changes to this bug.